Fiche(1)

NAME
fiche - Receiver for command line output

SYNOPSIS
fiche [options]

DESCRIPTION
This manual page documents briefly the fiche daemon.

fiche is a program that listens on TCP port and stores the text it receives on disk. It replies with a slug plus configurable URL.

OPTIONS
These options are documented.

-o  Output directory. Place where the recieved text will be stored.

-p {port}
    TCP port where this daemon listens. Defaults to 9999.

-d  Domain. Examples: 'example.com', 'sub.example.com/pastebin'.

-s  Size of slug in characters. With 'fiche -d foo.com/bar -s 6' you get 'http://foo.com/bar/abcdef' as reply. Default slug size is 4.

-u {user}
    As which user should the files be written.

-B {max file size}
    This parameter defines max file size uploaded by user, by default it is set to `32768`.

-l {dir/subdir/file}
    Path to file where logs entry are stored.

-b {dir/subdir/file}
    Path to file where you provided all bannend IP addresses.

-w {dir/subdir/file}
    White list. If whitelist mode is enabled, only addresses from list will be able to upload files.

CLIENT USAGE EXAMPLES

ls -la | nc localhost 9999

cat file.txt | nc solusipse.net 9999

echo just testing! | nc code.solusipse.net 9999

SEE ALSO
nc(1).

This manaul page is written for the Debian project and please do use it at other places.